import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrTerminalsubscribedclass {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  TerminalId!: bigint;
  TerminalCode?: string;
  ClassId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrTerminalsubscribedclassSchema = defineEntity({
  class: IcrTerminalsubscribedclass,
  comment: '终端订阅的班级',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    TerminalId: p.bigint().name('TerminalId').comment('终端Id'),
    TerminalCode: p.string().name('TerminalCode').nullable().comment('终端Id'),
    ClassId: p.bigint().name('ClassId').comment('班级Id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
